syntax keyword futKeywords module wire reg wire input output proc if else

highlight default link futKeywords Keyword

setlocal indentexpr=FutIndent()

function! FutIndent()
  let line = getline(v:lnum)
  let previousNum = prevnonblank(v:lnum - 1)
  let previous = getline(previousNum)

  if previous =~ "{" && previous !~ "}" && line !~ "}"
    return indent(previousNum) + &tabstop
  endif

  return indent(previousNum)
endfunction
